Update status | Parallel Developer Documentation
Version: Current – v2.x
On this page
This endpoint creates a new status entry for a given record. The newly created status entry becomes the record's current status entry.
HTTP Request
POST https://api.parallelmarkets.com/v2/partner-records/{id}/statuses
{id}- The individual or business ID in your case management account. If an external_id has been set, theexternal_idvalue can be used instead.
Request Parameters
| Parameter | Description |
|---|---|
status (string) |
Required The status to set for the record. Can be one of: - open- pending- approved- declined |
notes (string) |
Optional. Notes to attach to the new status. |
Sample payload
{
"status": "approved",
"notes": "This is a test note."
}
Response Parameters
Returns a Record Status after successful status creation.
Example Response
{
"data": {
"notes": "This is a test note.",
"set_at": "2023-04-20T18:40:00Z",
"set_by": null,
"source": "api",
"status": "approved"
}
}